@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2006, 2008. All Rights Reserved.
rem  
rem  Note to U.S. Government Users Restricted Rights:  
rem  Use, duplication or disclosure restricted by GSA ADP Schedule 
rem  Contract with IBM Corp. 
rem  *******************************************************************************

setlocal
set START_DIR=%~dp0
set SCRIPT_NAME=%0
set AREA=Quality+Manager

:getopt
if "%1"=="" goto doneopt
    if "%1" == "/h" goto usage
    if "%1" == "/H" goto usage
    if "%1" == "/?" goto usage
    if "%1"== "/S" (
         set SERVER=%2
         shift
         goto getopt
    )
    if "%1"== "/s" (
         set SERVER=%2
         shift
         goto getopt
    )
    if "%1"== "/a" (
         set AREA=%2
         shift
         goto getopt
    )
    if "%1"== "/A" (
         set AREA=%2
         shift
         goto getopt
    )
    
    if "%1"== "/U" (
         set USER=%2
         shift
         goto getopt
    )
    if "%1"== "/u" (
         set USER=%2
         shift
         goto getopt
    )
    if "%1"== "/P" (
         set PASSWORD=%2
         shift
         goto getopt
    )
    if "%1"== "/p" (
         set PASSWORD=%2
         shift
         goto getopt
    )
shift
goto getopt
:doneopt

if "%SERVER%" == "" goto usage
if "%USER%" == "" goto usage
if "%PASSWORD%" == "" goto usage
if "%AREA%" == "" goto usage

rem PUT the sample artifacts
set IMPORT="%START_DIR%\..\..\tools\import\import.bat" /s %SERVER% /u %USER% /p %PASSWORD% /a %AREA%

rem requirements
for /f %%f in ('dir /b *_Req.xml') do call %IMPORT% /t requirement   /f %%f /n %%f

rem testscripts
for /f %%f in ('dir /b *_TS.xml') do call %IMPORT% /t testscript  /f %%f /n %%f

rem testcases
for /f %%f in ('dir /b *_TC.xml') do call %IMPORT% /t testcase   /f %%f /n %%f

rem testplans
for /f %%f in ('dir /b *_TP.xml') do call %IMPORT% /t testplan   /f %%f /n %%f

rem configuration
for /f %%f in ('dir /b *_CFG.xml') do call %IMPORT% /t configuration   /f %%f /n sampleprovider/sampleinstance/%%f

rem execution record
for /f %%f in ('dir /b *_TER.xml') do call %IMPORT% /t executionworkitem   /f %%f /n %%f

rem execution result
for /f %%f in ('dir /b *_ER.xml') do call %IMPORT% /t executionresult   /f %%f /n %%f

rem test environment 
for /f %%f in ('dir /b *_TE.xml') do call %IMPORT% /t configuration  /f %%f /n %%f

rem lab resource
for /f %%f in ('dir /b *_LR.xml') do call %IMPORT% /t labresource   /f %%f /n RQM/REST/%%f

rem reservations
for /f %%f in ('dir /b *_RS.xml') do call %IMPORT% /t reservation   /f %%f /n %%f

rem requests
for /f %%f in ('dir /b *_RQ.xml') do call %IMPORT% /t request   /f %%f /n %%f

rem resourcegroups
for /f %%f in ('dir /b *_RG.xml') do call %IMPORT% /t resourcegroup   /f %%f /n %%f

goto end

:usage
echo Usage: %SCRIPT_NAME% [options]
echo     /H          : show this help
echo     /S server   : RQM server. E.g. https://servername:9443/
echo     /U username : login username
echo     /P password : login password
echo     /A area     : project area. Default is Quality+Manager 
goto end

:end
endlocal
